matrix:
  platform:
  - ubuntu2204
  - macos
  - macos_arm64
  - windows
  bazel: [8.x, rolling]

tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
    - '@cpptrace//:cpptrace'

bcr_test_module:
  module_path: test
  matrix:
    platform:
      - macos
      - macos_arm64
      - ubuntu2204
      - windows
    bazel: [rolling]
  tasks:
    run_test_module:
      name: Run test module
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      test_flags:
        - '--apple_generate_dsym'
        - '--strip=never'
        - '--test_output=all'
      test_targets:
        - //...
